 <!-- begin prehled.php -->
 <div id="refr">
<?php

function nastavdelku($maxhodnota,$hodnota,$maxdelka)
{
return (($hodnota/$maxhodnota)*$maxdelka);
}

function nastavbarvu($maxhodnota,$hodnota,$jaka)
{
switch($jaka)
{case 1:
   if (($hodnota/$maxhodnota)<0.01) {return 1;}
   else if (($hodnota/$maxhodnota)<0.3) {return 2;}
   else if (($hodnota/$maxhodnota)<0.6) {return 3;}
   else if (($hodnota/$maxhodnota)<0.9) {return 4;}
   return 5;
   break;
 case 2:
   if (($hodnota/$maxhodnota)<0.01) {return "#0000FF";}
   else if (($hodnota/$maxhodnota)<0.3) {return "#00FF00";}
   else if (($hodnota/$maxhodnota)<0.6) {return "#FFFF00";}
   else if (($hodnota/$maxhodnota)<0.9) {return "#FF6C00";}
   return "#FF0000";
   break;
}
}


if (strlen($_POST['typ'])>0) 
  {
   $nadpis="Přehled - podrobný";
    
   $obsah='<h3>Filtry:</h3>'; 
     
   switch($_POST['typ']) {
   case "hodina":
     $hodina=$_POST['hodina'];
     $den=$_POST['datumh'];
     $osoba=$_POST['osoba'];
     $mistnost=$_POST['mistnost'];
     //$min=$_POST['min'];
     //$max=$_POST['max'];
     
     switch($hodina) {
      case 0:$str_hodina="0:00 - 0:59";break;      case 1:$str_hodina="1:00 - 1:59";break;
      case 2:$str_hodina="2:00 - 2:59";break;      case 3:$str_hodina="3:00 - 3:59";break;
      case 4:$str_hodina="4:00 - 4:59";break;      case 5:$str_hodina="5:00 - 5:59";break;
      case 6:$str_hodina="6:00 - 6:59";break;      case 7:$str_hodina="7:00 - 7:59";break;
      case 8:$str_hodina="8:00 - 8:59";break;      case 9:$str_hodina="9:00 - 9:59";break;
      case 10:$str_hodina="10:00 - 10:59";break;      case 11:$str_hodina="11:00 - 11:59";break;
      case 12:$str_hodina="12:00 - 12:59";break;      case 13:$str_hodina="13:00 - 13:59";break;
      case 14:$str_hodina="14:00 - 14:59";break;      case 15:$str_hodina="15:00 - 15:59";break;
      case 16:$str_hodina="16:00 - 16:59";break;      case 17:$str_hodina="17:00 - 17:59";break;
      case 18:$str_hodina="18:00 - 18:59";break;      case 19:$str_hodina="19:00 - 19:59";break;
      case 20:$str_hodina="20:00 - 20:59";break;      case 21:$str_hodina="21:00 - 21:59";break;
      case 22:$str_hodina="22:00 - 22:59";break;      case 23:$str_hodina="23:00 - 23:59";break;
      }
      
      
     $obsah.='<strong>Den:</strong> '.$den.'<br/>';
     $obsah.='<strong>Hodina:</strong> '.$str_hodina.'<br/><br/>';
     if ($osoba!="kdokoli") {$obsah.='<strong>Zodp. osoba:</strong> '.$osoba.'<br/>';}     
     if ($mistnost!="jakakoli") {$obsah.='<strong>Místnost:</strong> '.$mistnost.'<br/>';}
     $obsah.='<br/>';
     //if (strlen($min)>0) {$obsah.='<strong>Min. hodnota:</strong> '.$min.' kWh<br/>';}   
     //if (strlen($max)>0) {$obsah.='<strong>Max. hodnota:</strong> '.$max.' kWh<br/>';}   
     
     include("prehled_hodiny.php");
       
   break; 
     
   case "den":
     $den=$_POST['datumd'];
     $osoba=$_POST['osoba'];
     $mistnost=$_POST['mistnost'];
     //$min=$_POST['min'];
     //$max=$_POST['max'];
     
     $obsah.='<strong>Den:</strong> '.$den.'<br/><br/>';
     if ($osoba!="kdokoli") {$obsah.='<strong>Zodp. osoba:</strong> '.$osoba.'<br/>';}     
     if ($mistnost!="jakakoli") {$obsah.='<strong>Místnost:</strong> '.$mistnost.'<br/>';}  
     $obsah.='<br/>';
     //if (strlen($min)>0) {$obsah.='<strong>Min. hodnota:</strong> '.$min.' kWh<br/>';}   
     //if (strlen($max)>0) {$obsah.='<strong>Max. hodnota:</strong> '.$max.' kWh<br/>';}
     
     include("prehled_denni.php");
     
   break; 
     
   case "mesic":
     $mesic=$_POST['mesic'];
     $rok=$_POST['rok'];
     $osoba=$_POST['osoba'];
     $mistnost=$_POST['mistnost'];
     //$min=$_POST['min'];
     //$max=$_POST['max'];
     
      switch($mesic) {
      case 1:$str_mesic="Leden";break;
      case 2:$str_mesic="Únor";break;
      case 3:$str_mesic="Březen";break;
      case 4:$str_mesic="Duben";break;
      case 5:$str_mesic="Květen";break;
      case 6:$str_mesic="Červen";break;
      case 7:$str_mesic="Červenec";break;
      case 8:$str_mesic="Srpen";break;
      case 9:$str_mesic="Září";break;
      case 10:$str_mesic="Říjen";break;
      case 11:$str_mesic="Listopad";break;
      case 12:$str_mesic="Prosinec";break;
      }
     
     $obsah.='<strong>Měsíc:</strong> '.$str_mesic.'<br/>';
     $obsah.='<strong>Rok:</strong> '.$rok.'<br/><br/>';
     if ($osoba!="kdokoli") {$obsah.='<strong>Zodp. osoba:</strong> '.$osoba.'<br/>';}     
     if ($mistnost!="jakakoli") {$obsah.='<strong>Místnost:</strong> '.$mistnost.'<br/>';}  
     $obsah.='<br/>';
     //if (strlen($min)>0) {$obsah.='<strong>Min. hodnota:</strong> '.$min.' kWh<br/>';}   
     //if (strlen($max)>0) {$obsah.='<strong>Max. hodnota:</strong> '.$max.' kWh<br/>';}
     
     include("prehled_mesic.php");
     
   break; 
   }   
  }
elseif ($_GET['p']=="denni") 
  {
     $nadpis="Přehled - denní";
     
     include("prehled_denni.php");
  }
elseif ($_GET['p']=="osoba") 
  {
     $nadpis="Přehled - podle osoby";
     
     include("prehled_osoba.php");
  }
elseif ($_GET['p']=="mistnost") 
  {
     $nadpis="Přehled - podle místnosti";
     
     include("prehled_mistnost.php");
  }
elseif ($_GET['p']=="podrobny") 
  {
     $nadpis="Přehled - podrobný";
     
     include("prehled_podrobny.php");
  }
elseif  ($_GET['p']=="aktual")
  {
     $aktualni=mysql_query("SELECT devices.id,devices.name,sensors.active,icons.picture,devices.type FROM devices,sensors,icons WHERE icons.id=devices.icon AND devices.sensor=sensors.id AND sensors.active=1 ORDER BY devices.id");
     $poceta=mysql_num_rows($aktualni);
    
     $nadpis="Přehled - aktuální";
     $obsah='
     Počet aktivních spotřebičů: '.$poceta.'<br/>
     <br/>';
     
     $nejnov=mysql_query("SELECT data.id,devices.name,data.data,data.time FROM devices,data WHERE devices.id=data.device ORDER BY data.time DESC LIMIT 1");
     $hodnota=mysql_fetch_row($nejnov);
     
     $obsah.=' 
     Poslední aktualizace: '.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'
     <br/><br/>';
     
     $obsah.=' <table border="0" style="text-align:center;">';
     $maxdata=0;
     
 $zbyva=$poceta;
 $opak=floor($poceta/7);
 for ($o=0;$o<=$opak;$o++)
 {
  $obsah.='<tr>';
 if ($zbyva>7) {$zbyva-=7;$poceta=7;} else {$poceta=$zbyva;}
     
     for($i=0;$i<$poceta;$i++)
     {
          $aktdata=mysql_fetch_row($aktualni);
          $datas[$i][0]=$aktdata[0];
          $datas[$i][1]=$aktdata[1];
          $datas[$i][4]=$aktdata[3];
          $datas[$i][5]=$aktdata[4];
     
          $dotaz=mysql_query("SELECT data,time FROM data WHERE device=".$aktdata[0]." order by time DESC LIMIT 1");
          $vysledek=mysql_fetch_row($dotaz);
          $datas[$i][2]=$vysledek[0];
          $datas[$i][3]=$vysledek[1];
     
          if($vysledek[0]>$maxdata) {$maxdata=$vysledek[0];}
     }
     
     
     
     for($i=0;$i<$poceta;$i++)
          {
              $obsah.='<td valign="bottom" align="center" height="100">
              <img src="images/'.nastavbarvu($maxdata,$datas[$i][2],1).'.png" width="20" height="'.nastavdelku($maxdata,$datas[$i][2],100).'" style="border: 2px solid '.nastavbarvu($maxdata,$datas[$i][2],2).';">
              </td>
             ';
          }
     
     
     $obsah.='</tr><tr>';
     
     for($i=0;$i<$poceta;$i++)
       {
          $obsah.='<td width="100px">'.$datas[$i][2].' kWh</td>';
       }
     
     $obsah.='</tr><tr>';
     
     for($i=0;$i<$poceta;$i++)
       {
           $obsah.='<td><a href="detail.php?id='.$datas[$i][0].'"><strong>'.$datas[$i][1].'</strong></a><br/>';
           if (strlen($datas[$i][5])>1) {$obsah.='('.$datas[$i][5].')';}  else {$obsah.='&nbsp;';}
           $obsah.='</td>';
       }
     
     $obsah.='</tr><tr>';
     
     for($i=0;$i<$poceta;$i++)
       {
           $obsah.='<td class="imag"><img src="icon/'.$datas[$i][4].'"></td>';
       }    
  
   $obsah.='</tr>';
  }   
   
   
     $obsah.='
     </table>
     <br/>
     <br/>
     Nejnovější data:<br/>
     <table>
     <tr><td width="125px"><strong>Čas</strong></td><td width="125px"><strong>Spotřebič</strong></td><td width="70px"><strong>Hodnota</strong></td></tr>
     ';
     
     $nejnovsi=mysql_query("SELECT data.id,devices.name,data.data,data.time FROM devices,data WHERE devices.id=data.device ORDER BY data.time DESC LIMIT 10");
     $pocetn=mysql_num_rows($nejnovsi);
     
     for($i=0;$i<$pocetn;$i++)
     {
     $hodnota=mysql_fetch_row($nejnovsi);
     $obsah.='<tr class="barvi"><td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $hodnota[3]).'</td><td>'.$hodnota[1].'</td><td>'.$hodnota[2].' kWh</td></tr>';
     }
     $obsah.='</table>
     <br/>
     
     ';
  
  }    
elseif  ($_GET['p']=="tydenni") 
  {
     $nadpis="Přehled - týdenní";
     
     include("prehled_tyden.php");
     
  }
elseif  ($_GET['p']=="mesicni") 
  {
     $nadpis="Přehled - měsíční";
     
     include("prehled_mesic.php");
     
       
  }
elseif ($_GET['p']=="hodinovy") 
  {
     $nadpis="Přehled - hodinový";
     
     include("prehled_hodiny.php");
     
  }  
else 
  {  header("Location: prehled.php?p=aktual");
     $nadpis="Přehled";
     $obsah='Vyberte položku z menu vlevo.';
  };
?>

            
            
            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <?php echo $obsah; ?>  
              </div>			
            </div>
            

<script type="text/javascript">            

$(".datum").datepick({
dateFormat: 'dd.mm.yyyy',
minDate: '01.01.2011',
maxDate: '31.12.2015',
showOtherMonths: true,
useMouseWheel: false
});



</script>           
          
  
            
</div>
 <!-- end prehled.php -->